Subject: Re: bug#15009: cl-lib symbols in lisp-font-lock-keywords

From: Juanma Barranquero <[email-masked]>
Date: Fri, 2 Aug 2013 19:26:39 +0200

On Fri, Aug 2, 2013 at 7:16 PM, Stefan Monnier <[email-masked]> wrote:

> But: these are not valid in Lisp.  So we need to clean this up by
> splitting lisp-font-lock-keywords into a "Lisp" part and an
> "Elisp" part.

OK.

> BTW, ideally, these keyword faces would be added by dynamically
> collecting the set of known macros, rather than by a hardcoded list.

Why? It is a restricted and well-defined set, unlikely to change.
Adding them dynamically adds unnecessary complexity IMO.

   J